package com.ffii.fhsmsc.modules.User_group.enity;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

/** @author Terence */
@Entity
@Table(name = "authority")
public class authority extends BaseEntity<Long> {
    @Column
    private Long id;
    @Column
    private String authority;
    @Column
    private String name;

    public void setId(Long id) {
        this.id = id;
    }
    public String getAuthority() {
        return authority;
    }
    public void setAuthority(String authority) {
        this.authority = authority;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    
    
    
    
    
}